var HidedFields = {

	init: function() {
		var typeSelect = HidedFields.getTypeSelect();
		typeSelect.onchange = new Function('HidedFields.unhide_by_type();return false;')
		HidedFields.unhide_by_type();
	},

	getTypeSelect: function() {
		return document.getElementsByName('type')[0];
	},
	
	getPeriodRow: function() {
		return document.getElementsByClassName('billing_period')[0];
	},
	
	getAmountRows: function() {
		var rows = new Array(0);
		rows[0] = document.getElementsByClassName('debit')[0];
		rows[1] = document.getElementsByClassName('credit')[0];

		return rows;
	},
	
	getDebitInput: function() {
		return document.getElementsByName('debit')[0];
	},
	
	getCreditInput: function() {
		return document.getElementsByName('credit')[0];
	},
	
	unhide_amount_rows: function(which_row) {
		var amountRows = HidedFields.getAmountRows();
		var debit = HidedFields.getDebitInput();
		var credit = HidedFields.getCreditInput();
		var debit_style = "none";
		var credit_style = "none";
		var debit_value = 0
		var credit_value = 0
		if (which_row == "debit") {
			debit_style = "block";
			debit_value = debit.value
		}
		if (which_row == "credit") {
			credit_style = "block";
			credit_value = credit.value
		}
		amountRows[0].style.display = debit_style;
		amountRows[1].style.display = credit_style;
		debit.value = debit_value
		credit.value = credit_value
	
	},

	unhide_period: function(unhide) {
		var periodRow = HidedFields.getPeriodRow();
		if(unhide)
			periodRow.style.display = "block";
		else
			periodRow.style.display = "none";
	},

	unhide_by_type: function() {
		var typeSelect = HidedFields.getTypeSelect();

		switch (typeSelect.selectedIndex) {
			case 1: HidedFields.unhide_amount_rows("debit"); HidedFields.unhide_period(false); break;
			case 2: HidedFields.unhide_amount_rows("credit"); HidedFields.unhide_period(false); break;
			case 3: HidedFields.unhide_amount_rows("debit"); HidedFields.unhide_period(true); break;
			case 4: HidedFields.unhide_amount_rows("debit"); HidedFields.unhide_period(true); break;
			case 5: HidedFields.unhide_amount_rows("debit"); HidedFields.unhide_period(true); break;
			case 6: HidedFields.unhide_amount_rows("credit"); HidedFields.unhide_period(true); break;
			case 7: HidedFields.unhide_amount_rows(""); HidedFields.unhide_period(true); break;
			default: HidedFields.unhide_amount_rows(""); HidedFields.unhide_period(false); break;
		}
	}
}
addEvent(window, 'load', HidedFields.init);
